v1

List the team's webhooks

The team's webhooks (at most 10) with URL, event types, filters and status. The secret is never shown again. Requires a live key (not a pub key); the call does not count towards the quota.

GET/v1/webhooksPro

Authentication

Authorizationstringheaderrequired

Your API key as a Bearer token.

Request

curl --request GET \
  --url "https://api.danskadresseapi.dk/v1/webhooks" \
  --header "Authorization: Bearer $API_KEY"
Try it
GET https://api.danskadresseapi.dk/v1/webhooks

Response

application/json

The team's webhooks

countinteger
webhooksobject[]
Show child attributes(10)
webhooks.idstring<uuid>
webhooks.urlstring<uri>
webhooks.eventsstring[]
webhooks.secretstring

The signing secret — only in the response to the creation.

webhooks.statusenum<string>
Allowed values:activepausedauto_disabled
webhooks.enabledboolean
webhooks.filtersobject

Optional resource filters. Within a field it is "or", between fields "and"; an empty object = all events. Account events (invoice.*, quota.*, subscription.*, job.*) are never filtered. An event where e.g. the municipality cannot be determined is not sent when filtering on municipality. At most 5000 values in total.

Show child attributes(4)
webhooks.filters.bfe_numreinteger[]

BFE numbers (properties).

webhooks.filters.postnumrestring[]

Postcodes (4 digits), e.g. 2100.

webhooks.filters.adresse_idsstring<uuid>[]

Address or access address ids (UUID).

webhooks.filters.kommunekoderstring[]

Municipality codes (4 digits), e.g. 0101.

webhooks.created_atstring<date-time>
webhooks.auto_disabled_atstring<date-time> | null
webhooks.consecutive_failuresinteger
200Eksempel
{
  "count": 0,
  "webhooks": [
    {
      "id": "00000000-0000-0000-0000-000000000000",
      "url": "…",
      "events": [
        "…"
      ],
      "secret": "…",
      "status": "active",
      "enabled": false,
      "filters": {
        "bfe_numre": [
          0
        ],
        "postnumre": [
          "…"
        ],
        "adresse_ids": [
          "00000000-0000-0000-0000-000000000000"
        ],
        "kommunekoder": [
          "…"
        ]
      },
      "created_at": "2026-09-20T10:00:00.000Z",
      "auto_disabled_at": "2026-09-20T10:00:00.000Z",
      "consecutive_failures": 0
    }
  ]
}
401Missing key
{
  "error": {
    "code": "unauthorized",
    "message": "Missing or invalid API key."
  }
}
List the team's webhooks — DanskAdresseAPI